std::ranges::join_view::iterator::operator*,->(3)

NAME
std::ranges::join_view::iterator::operator*,-> - std::ranges::join_view::iterator::operator*,->

Synopsis
   constexpr decltype(auto) operator*() const; (1) (since C++20)
   constexpr InnerIter operator->() const (2) (since C++20)
     requires /*has-arrow*/<InnerIter> && std::copyable<InnerIter>;
   Returns the element the underlying iterator inner_ points to.
   1) Equivalent to return *inner_;.
   2) Equivalent to return inner_;.

Parameters
   (none)

Return value
   The current element.

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example